select2 required

Get help with using Metro 4 components
Post Reply
drodriguez
Posts: 44
Joined: Wed Apr 11, 2018 7:32 pm
Status: Offline

select2 required

Post by drodriguez » Thu May 31, 2018 10:04 pm

in this example:
https://codepen.io/drodriguez/pen/GGJMdo

how show 'invalid_feedback' with select2 and required.
with data-role="select"

thanks

User avatar
olton
Site Admin
Posts: 133
Joined: Mon Apr 09, 2018 6:19 pm
Location: Kiev, Ukraine
Status: Offline

Post by olton » Thu May 31, 2018 11:17 pm

For third-party components, I create only CSS files. Roles not supported for select2 and datatable. Use Metro 4 select component.

drodriguez
Posts: 44
Joined: Wed Apr 11, 2018 7:32 pm
Status: Offline

Post by drodriguez » Fri Jun 01, 2018 3:30 pm

thanks..

i updated codepen and add styles:

.invalid + .select2 + .invalid_feedback, .invalid > .invalid_feedback {
display: block !important;
}
.invalid + .select2 {
border: 1px #ce352c solid!important;
}

https://codepen.io/drodriguez/pen/GGJMdo

and work it :D

Post Reply